declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: any;
    };
    disabled: BooleanConstructor;
    show: {
        type: BooleanConstructor;
        required: true;
    };
}>, {
    showTeleport: import("vue").Ref<boolean, boolean>;
    mergedTo: import("vue").ComputedRef<string | Record<string, any>>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: any;
    };
    disabled: BooleanConstructor;
    show: {
        type: BooleanConstructor;
        required: true;
    };
}>> & Readonly<{}>, {
    disabled: boolean;
    to: string | Record<string, any>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
